org.apache.solr.client.solrj.impl

## Class Krb5HttpClientBuilder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.Krb5HttpClientBuilder

All Implemented Interfaces:
  Closeable, AutoCloseable, HttpClientBuilderFactory

    public class Krb5HttpClientBuilder
    extends Object
    implements HttpClientBuilderFactory

Kerberos-enabled SolrHttpClientBuilder

### Field Summary

Fields
`static String` `LOGIN_CONFIG_PROP`

### Constructor Summary

Constructors
Constructor and Description
`Krb5HttpClientBuilder()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`SolrHttpClientBuilder` `getBuilder()`
`SolrHttpClientBuilder` `getBuilder(SolrHttpClientBuilder builder)`
`SolrHttpClientBuilder` `getHttpClientBuilder(Optional<SolrHttpClientBuilder> builder)` This method configures the SolrHttpClientBuilder by overriding the configuration of passed SolrHttpClientBuilder or as a new instance.
`static void` `regenerateJaasConfiguration()` The jaasConfig is static, which makes it problematic for testing in the same jvm.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGIN_CONFIG_PROP

    public static final String LOGIN_CONFIG_PROP

See Also:
  Constant Field Values

### Constructor Detail

#### Krb5HttpClientBuilder

    public Krb5HttpClientBuilder()

### Method Detail

#### regenerateJaasConfiguration

    public static void regenerateJaasConfiguration()

The jaasConfig is static, which makes it problematic for testing in the same jvm. Call this function to regenerate the static config (this is not thread safe). Note: only used for tests

#### getBuilder

    public SolrHttpClientBuilder getBuilder()

#### close

    public void close()

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`

#### getHttpClientBuilder

    public SolrHttpClientBuilder getHttpClientBuilder(Optional<SolrHttpClientBuilder> builder)

Description copied from interface: `HttpClientBuilderFactory`
This method configures the SolrHttpClientBuilder by overriding the configuration of passed SolrHttpClientBuilder or as a new instance.

Specified by:
  `getHttpClientBuilder` in interface `HttpClientBuilderFactory`
Parameters:
  `builder` - The instance of the SolrHttpClientBuilder which should by configured (optional).
Returns:
  the SolrHttpClientBuilder

#### getBuilder

    public SolrHttpClientBuilder getBuilder(SolrHttpClientBuilder builder)